Subject: bug#4136: 23.1; delete-pair

From: Juri Linkov <[email-masked]>
Date: Fri, 18 Sep 2020 11:35:48 +0300

>> Now I tested that at least it doesn't cause regression.
>> Hopefully, its new features work equally well :-)
>
> Thanks for checking.
>
> The new feature is just that it only deletes things that are part of
> insert-pair-alist, if I understood Martin correctly...
>
> I've now pushed it to Emacs 28.

I see that you reverted it now because it breaks on "foo" in text-mode.
But the previous version is worse: it deletes wrong text on "foo"
in text-mode.